﻿<AML>
 <Item type="RelationshipType" id="415C9A5760784E8E846B329FC4DDAB19" action="add" dependencyLevel="0">
  <auto_search>1</auto_search>
  <behavior>float</behavior>
  <copy_permissions>0</copy_permissions>
  <create_related>0</create_related>
  <grid_view>intermix</grid_view>
  <hide_in_all>0</hide_in_all>
  <inc_rel_key_name>1</inc_rel_key_name>
  <inc_related_key_name>1</inc_related_key_name>
  <is_list_type>0</is_list_type>
  <label xml:lang="en">Service Details</label>
  <new_show_related>1</new_show_related>
  <related_id keyed_name="sopsv_service" type="ItemType" name="sopsv_service">BC59D59F92FE4B62A6C2891BE1E5A984</related_id>
  <related_notnull>1</related_notnull>
  <related_option>1</related_option>
  <relationship_id keyed_name="sop_ci_service_details" type="ItemType" name="sop_ci_service_details">
   <Item type="ItemType" id="1363F111424F40D8B955CFFA18CFDD1E" action="add">
    <allow_private_permission>1</allow_private_permission>
    <auto_search>0</auto_search>
    <enforce_discovery>0</enforce_discovery>
    <hide_where_used>0</hide_where_used>
    <implementation_type>table</implementation_type>
    <instance_data>SOP_CI_SERVICE_DETAILS</instance_data>
    <is_dependent>0</is_dependent>
    <is_relationship>1</is_relationship>
    <is_versionable>0</is_versionable>
    <revisions keyed_name="Default" type="Revision">7FE395DD8B9F4E1090756A34B733D75E</revisions>
    <show_parameters_tab>1</show_parameters_tab>
    <structure_view>tabs off</structure_view>
    <unlock_on_logout>0</unlock_on_logout>
    <use_src_access>1</use_src_access>
    <name>sop_ci_service_details</name>
    <Relationships>
     <Item type="Property" id="3E1E7FBB43164A1D9B6231356953B2C0" action="add">
      <column_alignment>left</column_alignment>
      <data_type>text</data_type>
      <is_hidden>0</is_hidden>
      <is_hidden2>1</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Description</label>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <sort_order>20</sort_order>
      <source_id keyed_name="sop_ci_service_details" type="ItemType" name="sop_ci_service_details">1363F111424F40D8B955CFFA18CFDD1E</source_id>
      <track_history>0</track_history>
      <name>stk_description</name>
     </Item>
     <Item type="Property" id="2406860EC9DA40418D4C508BAB0E20E4" action="add">
      <column_alignment>left</column_alignment>
      <data_type>integer</data_type>
      <is_hidden>0</is_hidden>
      <is_hidden2>0</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Item</label>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <sort_order>1</sort_order>
      <source_id keyed_name="sop_ci_service_details" type="ItemType" name="sop_ci_service_details">1363F111424F40D8B955CFFA18CFDD1E</source_id>
      <track_history>0</track_history>
      <name>stk_item</name>
     </Item>
     <Item type="Property" id="D159D50417DA48EBA95AAF26C436D988" action="add">
      <column_alignment>left</column_alignment>
      <data_type>decimal</data_type>
      <default_value xml:lang="en">0</default_value>
      <is_hidden>0</is_hidden>
      <is_hidden2>0</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Price</label>
      <prec>19</prec>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <scale>2</scale>
      <sort_order>5</sort_order>
      <source_id keyed_name="sop_ci_service_details" type="ItemType" name="sop_ci_service_details">1363F111424F40D8B955CFFA18CFDD1E</source_id>
      <track_history>0</track_history>
      <name>stk_price</name>
      <Relationships>
       <Item type="Grid Event" id="7FD888AC79314B27ADAEDD756283B471" action="add">
        <grid_event>oneditfinish</grid_event>
        <related_id keyed_name="sop_price_change" type="Method">
         <Item type="Method" action="get" select="id">
          <name>sop_price_change</name>
         </Item>
        </related_id>
        <sort_order>128</sort_order>
        <source_id keyed_name="stk_price" type="Property">D159D50417DA48EBA95AAF26C436D988</source_id>
       </Item>
      </Relationships>
     </Item>
     <Item type="Property" id="DE1680501E114962B50F21B3CD354FEA" action="add">
      <column_alignment>left</column_alignment>
      <data_type>integer</data_type>
      <default_value xml:lang="en">1</default_value>
      <is_hidden>0</is_hidden>
      <is_hidden2>0</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Qty</label>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <sort_order>4</sort_order>
      <source_id keyed_name="sop_ci_service_details" type="ItemType" name="sop_ci_service_details">1363F111424F40D8B955CFFA18CFDD1E</source_id>
      <track_history>0</track_history>
      <name>stk_qty</name>
      <Relationships>
       <Item type="Grid Event" id="23DEF4A762564F56A6BE595F86250C23" action="add">
        <grid_event>oneditfinish</grid_event>
        <related_id keyed_name="sop_qty_change" type="Method">
         <Item type="Method" action="get" select="id">
          <name>sop_qty_change</name>
         </Item>
        </related_id>
        <sort_order>128</sort_order>
        <source_id keyed_name="stk_qty" type="Property">DE1680501E114962B50F21B3CD354FEA</source_id>
       </Item>
       <Item type="Grid Event" id="CFD1E6943C4D4329AF36CE0D68535466" action="add">
        <grid_event>oneditfinish</grid_event>
        <related_id keyed_name="sop_price_change" type="Method">
         <Item type="Method" action="get" select="id">
          <name>sop_price_change</name>
         </Item>
        </related_id>
        <sort_order>256</sort_order>
        <source_id keyed_name="stk_qty" type="Property">DE1680501E114962B50F21B3CD354FEA</source_id>
       </Item>
      </Relationships>
     </Item>
     <Item type="Property" id="BFE92EF4F18A47A788F2C0F63B55E404" action="add">
      <column_alignment>left</column_alignment>
      <data_type>decimal</data_type>
      <default_value xml:lang="en">0</default_value>
      <is_hidden>0</is_hidden>
      <is_hidden2>0</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Total Amount</label>
      <prec>19</prec>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <scale>2</scale>
      <sort_order>6</sort_order>
      <source_id keyed_name="sop_ci_service_details" type="ItemType" name="sop_ci_service_details">1363F111424F40D8B955CFFA18CFDD1E</source_id>
      <track_history>0</track_history>
      <name>stk_total_amount</name>
     </Item>
     <Item type="Property" id="D65F2FDF678F49448ED943AE5922F07D" action="add">
      <column_alignment>left</column_alignment>
      <data_type>string</data_type>
      <is_hidden>0</is_hidden>
      <is_hidden2>1</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Well</label>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <sort_order>10</sort_order>
      <source_id keyed_name="sop_ci_service_details" type="ItemType" name="sop_ci_service_details">1363F111424F40D8B955CFFA18CFDD1E</source_id>
      <stored_length>100</stored_length>
      <track_history>0</track_history>
      <name>stk_well</name>
     </Item>
    </Relationships>
   </Item>
  </relationship_id>
  <sort_order>30</sort_order>
  <source_id keyed_name="sop_commercial_invoice" type="ItemType" name="sop_commercial_invoice">963B7A401AC74EE28167B24DC27A7402</source_id>
  <name>sop_ci_service_details</name>
  <Relationships>
   <Item type="Relationship Grid Event" id="2710A7C4DF334AC49A704C9C78ED26D5" action="add">
    <grid_event>ondeleterow</grid_event>
    <related_id keyed_name="sop_details_delete_with_discount" type="Method">
     <Item type="Method" action="get" select="id">
      <name>sop_details_delete_with_discount</name>
     </Item>
    </related_id>
    <sort_order>128</sort_order>
    <source_id keyed_name="sop_ci_service_details" type="RelationshipType">415C9A5760784E8E846B329FC4DDAB19</source_id>
   </Item>
   <Item type="Relationship Grid Event" id="0EAEF65C6E6447EEA982690E41E54D56" action="add">
    <grid_event>oninsertrow</grid_event>
    <related_id keyed_name="sop_serive_itemcount_insertrow" type="Method">
     <Item type="Method" action="get" select="id">
      <name>sop_serive_itemcount_insertrow</name>
     </Item>
    </related_id>
    <sort_order>256</sort_order>
    <source_id keyed_name="sop_ci_service_details" type="RelationshipType">415C9A5760784E8E846B329FC4DDAB19</source_id>
   </Item>
  </Relationships>
 </Item>
 <Item type="View" action="delete" where="source_id='1363F111424F40D8B955CFFA18CFDD1E'" />
 <Item type="Form" action="delete" where="name='sop_ci_service_details'" />
</AML>